Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Polylinie aus einer Liste erzeugen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Polylinie aus einer Liste erzeugen (1529 mal gelesen)
mundal
Mitglied
Techniker


Sehen Sie sich das Profil von mundal an!   Senden Sie eine Private Message an mundal  Schreiben Sie einen Gästebucheintrag für mundal

Beiträge: 317
Registriert: 14.02.2005

erstellt am: 01. Apr. 2010 15:08    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Zusammen,

ich habe eine Liste mit mehreren x,y Koordinaten.
Die Koordinaten aus der Liste sollen eine Polylinie werden.
Ist dies mit LISP zu realisieren ?
Wenn ja, könnt ihr mir einen Tipp geben wie ?

Gruß
Irene

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

.

erstellt am: 01. Apr. 2010 15:19    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für mundal 10 Unities + Antwort hilfreich

Klar geht das mit Lisp .. aber ein script geht auch
z.b.


_polyline
1,1,0
2,5,0
7,8,0
....
als .scr abspeichern und mit _script aufrufen
ähnliche Fragen und antworten sollten sich im Rund um Autocad-Brett finden

hast du sowas öfter , dann natürlich Lisp oder so .. aber auch da gibt es schon fertige Tools für

------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

mundal
Mitglied
Techniker


Sehen Sie sich das Profil von mundal an!   Senden Sie eine Private Message an mundal  Schreiben Sie einen Gästebucheintrag für mundal

Beiträge: 317
Registriert: 14.02.2005

erstellt am: 01. Apr. 2010 15:46    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Thomas,

a wo finde ich das Brett
b wo finde ich die fertigen Tools

Es ist zwar kurz vor Ostern doch ich möchte lieber
nicht zu suchen beginnen ;-)

Gruß
Irene

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joern bosse
Ehrenmitglied
Dipl.-Ing. Vermessung


Sehen Sie sich das Profil von joern bosse an!   Senden Sie eine Private Message an joern bosse  Schreiben Sie einen Gästebucheintrag für joern bosse

Beiträge: 1661
Registriert: 11.10.2004

Window 8.1
ACAD 2012-2020
CIVIL 2012 - 2020
BricsCAD V14-V20
Intel(R) Core(TM)i5-8250U CPU @ 1.60GHz 1.80 GHz
16.0GB RAM
NVIDIA GeForce GTX 1050

erstellt am: 01. Apr. 2010 16:07    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für mundal 10 Unities + Antwort hilfreich

Hallo Irene,
[Osterwerbung an]
ich hab da ein Tool (nicht umsonst), was Du aber als Testversion nutzen kannst. Wenn Du die Koordinaten in einer Exceltabelle hast sollte es funzen.
http://www.bosse-engineering.com/bosse-engineering/programme/Excel_att-Kurzbeschreibung.pdf
http://www.bosse-engineering.com/bosse-engineering/programme/Excel_att.zip
[Osterwerbung aus]
Wenn Du Fragen kannst Du mich gerne kontaktieren.

------------------
viele Grüße

Jörn
http://www.bosse-engineering.com

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Theodor Schoenwald
Ehrenmitglied



Sehen Sie sich das Profil von Theodor Schoenwald an!   Senden Sie eine Private Message an Theodor Schoenwald  Schreiben Sie einen Gästebucheintrag für Theodor Schoenwald

Beiträge: 1672
Registriert: 16.04.2002

erstellt am: 01. Apr. 2010 20:16    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für mundal 10 Unities + Antwort hilfreich

Hallo,

Du benötigst wirklich kein Tool, wenn Du es wie Thomas es vorgeschlagen hat vorgehst.

Am besten installierst Du den Editor JFE (Jens File Editor) er ist kostenlos, mit Notepad geht es aber auch, da musst Du nur aufpassen, dass die Dateikennung .SCR geschrieben wird.

Wenn Du die Koordinaten, so eingefügt hast wie Thomas es vogeschlagen hat, kannst Du in ACAD den Befehl SCRIPT eingeben, Deine Datei auswählen, das war es.

Es ist wirklich ganz einfach, hier:
http://www.lehrer.uni-karlsruhe.de/~za685/cad/script/scr.htm

findest Du die Beschreibung.

Gruß
Theodor Schönwald
www.cad-cnc.com

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

mundal
Mitglied
Techniker


Sehen Sie sich das Profil von mundal an!   Senden Sie eine Private Message an mundal  Schreiben Sie einen Gästebucheintrag für mundal

Beiträge: 317
Registriert: 14.02.2005

erstellt am: 02. Apr. 2010 09:01    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Theodor,
das mit dem Script habe ich verstanden.
Nur ist die Frage wie ich meine Daten aus der Liste in das Script bekomme.

Gruß
Irene

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

neurosis
Mitglied
dipl.ing.


Sehen Sie sich das Profil von neurosis an!   Senden Sie eine Private Message an neurosis  Schreiben Sie einen Gästebucheintrag für neurosis

Beiträge: 220
Registriert: 22.08.2006

erstellt am: 02. Apr. 2010 09:47    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für mundal 10 Unities + Antwort hilfreich

hallo mundal,
wie sieht denn deine liste aus?

gruss
marco

------------------
Marco Heuer
www.arc-aachen.de
Airport Office

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

mundal
Mitglied
Techniker


Sehen Sie sich das Profil von mundal an!   Senden Sie eine Private Message an mundal  Schreiben Sie einen Gästebucheintrag für mundal

Beiträge: 317
Registriert: 14.02.2005

erstellt am: 02. Apr. 2010 09:58    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,
meine Liste sieht beispielsweise so aus:

(((600,0) (700,100) (800,200)) ((300,10) (410,130) (500,200)) ((0,0) (100,100) (200,200)) (0,0))

diese Werte habe ich der Variablen entnommen.
Die Liste wird für verschiedene Situationen immer anders aussehen, sprich länger werden, mit anderen Werten.

Gruß
Irene

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

neurosis
Mitglied
dipl.ing.


Sehen Sie sich das Profil von neurosis an!   Senden Sie eine Private Message an neurosis  Schreiben Sie einen Gästebucheintrag für neurosis

Beiträge: 220
Registriert: 22.08.2006

erstellt am: 02. Apr. 2010 10:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für mundal 10 Unities + Antwort hilfreich

seh ich das richtig:
in deinem bsp. gibt es als unterlisten
((600,0) (700,100) (800,200))
((300,10) (410,130) (500,200))
((0,0) (100,100) (200,200))
(0,0)
sollen das jetzt 4 einzelne lwpolyline werden?
und steht da wirklich ein komma als trennung zwischen x- und y-werten?

------------------
Marco Heuer
www.arc-aachen.de
Airport Office

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

mundal
Mitglied
Techniker


Sehen Sie sich das Profil von mundal an!   Senden Sie eine Private Message an mundal  Schreiben Sie einen Gästebucheintrag für mundal

Beiträge: 317
Registriert: 14.02.2005

erstellt am: 02. Apr. 2010 10:27    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,
nun, das Komma könnte ich ersetzen, das ist kein Problem.
Es stimmt, es werden mehrere Polylinien nebeneinander gesetzt.
Genau gesagt beschreibt jede Polylinie eine Zahl die dann am Ende einen Schriftzug ergeben soll.

BSP: 023554454

Gruß
Irene

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Theodor Schoenwald
Ehrenmitglied



Sehen Sie sich das Profil von Theodor Schoenwald an!   Senden Sie eine Private Message an Theodor Schoenwald  Schreiben Sie einen Gästebucheintrag für Theodor Schoenwald

Beiträge: 1672
Registriert: 16.04.2002

erstellt am: 02. Apr. 2010 10:47    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für mundal 10 Unities + Antwort hilfreich

Hallo Irene,

wenn zwischen den Klammern Leerzeichen sind:
- Im Editor mit Suchen und Ersetzen alle Klammern entfernen.
- Das Wort _pline davor schreiben.
Das war es, die X-, Y-Werte dürfen auch hintereinander
stehen, wenn ein Leerzeichen als Trenner vorhanden ist.

Wenn zwischen den Klammern "keine" Leerzeichen sind:
- Alle doppelten Klammern durch eine Klammer ersetzen.
- Danach alle ")(" Klammernpaare durch ein Leerzeichen ersetzen.
- Die einzelnen Klammern die noch stehen bleiben entfernen.
Auch das ist in einem Editor,  mit Suchen und Ersetzen, sehr schnell zu machen.

Wenn jedoch diese Arbeit täglich vorkommt, kann sie auch mit einer kleinen Lisp-Datei automatisiert werden, so dass keine Script-Datei erforderlich ist.

Gruß
Theodor Schönwald
www.cad-cnc.com

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

neurosis
Mitglied
dipl.ing.


Sehen Sie sich das Profil von neurosis an!   Senden Sie eine Private Message an neurosis  Schreiben Sie einen Gästebucheintrag für neurosis

Beiträge: 220
Registriert: 22.08.2006

erstellt am: 02. Apr. 2010 11:47    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für mundal 10 Unities + Antwort hilfreich

(setq xxx '(((600 0) (700 100) (800 200)) ((300 10) (410 130) (500 200)) ((0 0) (100 100) (200 200)) (0 0)))

(defun test (lst)
  (mapcar
    '(lambda(pt-lst)
      (if (= (type (car pt-lst)) 'LIST)
        (entmake
          (append
            (list
              '(0 . "LWPOLYLINE")
              '(100 . "AcDbEntity")
              '(67 . 0)
              '(8 . "0")
              '(6 . "CONTINUOUS")
              '(100 . "AcDbPolyline")
              (cons 90 (length pt-lst))
              '(70 . 128)
              '(38 . 0.0)
              '(39 . 0.0)
            )
            (apply 'append (mapcar
            '(lambda (pt)
              (list
              (cons 10 pt)
              '(40 . 0.0)
              '(41 . 0.0)
              '(42 . 0.0)
              )
            )
            pt-lst
          ))
            (list '(210 0.0 0.0 1.0))
          )
        )
      )
    )
    lst
  )
)

------------------
Marco Heuer
www.arc-aachen.de
Airport Office

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

mundal
Mitglied
Techniker


Sehen Sie sich das Profil von mundal an!   Senden Sie eine Private Message an mundal  Schreiben Sie einen Gästebucheintrag für mundal

Beiträge: 317
Registriert: 14.02.2005

erstellt am: 06. Apr. 2010 14:13    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,
jetzt habe ich meine Programmierkenntnisse in die Waagschale geworfen
und konnte aus meiner Liste eine Scriptdatei erzeugen *JUHU*.
Das Script möchte ich "mitten" in einer Lisproutine aufrufen:

Befehl: command "script" "xyz.scr"

Leider muss ich feststellen dass danach alle folgenden Anweisungen nicht mehr gemacht werden.
Gibt es einen Trick wie ich dies umgehen kann.

Grüße
Irene

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

.

erstellt am: 06. Apr. 2010 14:21    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für mundal 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von mundal:
Das Script möchte ich "mitten" in einer Lisproutine aufrufen

Find ich nicht optimal .....


aber was ist mit
(command "script" "xyz.scr")
(while(/=(getvar "CMDACTIVE")0)(command))

------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Steff179
Mitglied
Geomatiker


Sehen Sie sich das Profil von Steff179 an!   Senden Sie eine Private Message an Steff179  Schreiben Sie einen Gästebucheintrag für Steff179

Beiträge: 266
Registriert: 09.08.2007

AutoCAD 2014

erstellt am: 07. Apr. 2010 10:56    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für mundal 10 Unities + Antwort hilfreich

hallo irene

ich schnall nicht ganz wiso du das mit script machen willst.
du sagst ja du hast die werte aus einer variabel.
wiso dann noch in ein script umformen wenn du das gleich weiterbearbeiten kannst?

hast du dir die sache von neurosis mal angesehen?
macht genau das was du willst.

ist das nicht in deinem sinne oder weisst du nicht wie du das anwenden musst?

gruss steff

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

mundal
Mitglied
Techniker


Sehen Sie sich das Profil von mundal an!   Senden Sie eine Private Message an mundal  Schreiben Sie einen Gästebucheintrag für mundal

Beiträge: 317
Registriert: 14.02.2005

erstellt am: 07. Apr. 2010 11:00    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Zusammen,

der Vorschlag 
(command "script" "xyz.scr")
(while(/=(getvar "CMDACTIVE")0)(command))

funktioniert leider nicht.

Am Vorschlag von Marcus habe ich gerade noch zu kämpfen ;-)

Zúm Scriptvorschlag von Thomas:
_polyline
1,1,0
2,5,0
7,8,0

Können in einem Script alle Befehle verwendet werden ?
Habe es gerade mal mit dem Layerbefehl versucht, dort bleibt er nach folgender Angabe nach der ersten zeile im Befehl layer stehen.

Mein Beispiel:
_layer Ma Aussen FA 2
_layer Ma INNEN FA 3T
_layer SE INNEN
kopieren "F" -10,-10 10,10 -0,0 50,50

Ich habe die Eingaben bereits untereinander geschrieben un kam auch nicht weiter.


Gruß
Irene

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

.

erstellt am: 07. Apr. 2010 11:10    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für mundal 10 Unities + Antwort hilfreich

_-layer _make Aussen _color 2 Aussen
_-layer _make Innen _color 3 Innen

...

------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Theodor Schoenwald
Ehrenmitglied



Sehen Sie sich das Profil von Theodor Schoenwald an!   Senden Sie eine Private Message an Theodor Schoenwald  Schreiben Sie einen Gästebucheintrag für Theodor Schoenwald

Beiträge: 1672
Registriert: 16.04.2002

erstellt am: 07. Apr. 2010 13:34    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für mundal 10 Unities + Antwort hilfreich

Hallo Irene,

nur zum Verständnis, so ist Deine Eingabe:
_layer Ma Aussen FA 2
_layer Ma INNEN FA 3

Es gibt aber Befehle die zwei Return (Bestätigungen) benötigen.
Ein Return kann auch mit einem Leerzeichen oder einem Zeilenumbruch gemacht werden.

Entweder so (2 Leerzeichen):
_layer Ma Aussen FA 2  _layer Ma INNEN FA 3

oder so (1 zsätzlicher Zeilenumbruch):
_layer Ma Aussen FA 2

_layer Ma INNEN FA 3

Ich habe zum Verständnis Deine Wörter benutzt, besser ist es, so zu schreiben, wie Thmoas es vorgeschlagen hat.

Gruß
Theodor Schönwald
www.cad-cnc.com

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

nahe
Ehrenmitglied



Sehen Sie sich das Profil von nahe an!   Senden Sie eine Private Message an nahe  Schreiben Sie einen Gästebucheintrag für nahe

Beiträge: 1540
Registriert: 18.01.2001

arbeite mit:
HP Z440 Workstation
Xenon (12-Kern) 3.5GHz
32GB RAM
238GB SSD
------------------------
SWX-2016 SP5.0
DBWorks-R15 SP2.17
----------------
Windows 7 64 bit
----------------
VB
VBA
Lotus Notes Datenbanken
erste Schritte mit Swift

erstellt am: 09. Apr. 2010 09:25    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für mundal 10 Unities + Antwort hilfreich


xy.zip

 
Hallo Irene

anbei ein kleines LISP mit einer Beispieldatei für Dein Problem

Achtung:
es erfolgt keine großartige Fehlerabfrage

Was mM nach ganz nett ist ist, dass man sieht wie einfach man
in LISP AutoCAD Befehle innerhalb eines Programms zusammenstellen
und dann ausführen lassen kann.

------------------
Grüße
Heinz

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz